## kparts 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KParts VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEPackageAppTemplates)
include(ECMAddQch)

include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control how much of deprecated API is build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPARTS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
                        SOVERSION 5)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Widgets Xml)

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF_DEP_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(
  QT 5.15.2
  KF 5.97
  KIOWIDGETS 5.70 # We need KRun for BrowserRun
  KCOREADDONS 5.64 # We need KAboutData::fromPluginMetaData
  KSERVICE 5.81 # We need KMimeTypeTrader and KPluginInfo(KService)
)

if(BUILD_TESTING)
  add_subdirectory( tests )
  add_subdirectory( autotests )
endif()
add_definitions(-DTRANSLATION_DOMAIN=\"kparts5\")
ki18n_install(po)

add_subdirectory( src )
add_subdirectory(templates)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Parts")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Parts_QCH
        FILE KF5PartsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5PartsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5PartsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5PartsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5PartsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PartsTargets.cmake NAMESPACE KF5:: )

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kparts_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kparts (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.103.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:32 +0100

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5i18n-dev (>= 5.103.0~),
               libkf5iconthemes-dev (>= 5.103.0~),
               libkf5jobwidgets-dev (>= 5.103.0~),
               libkf5kio-dev (>= 5.103.0~),
               libkf5service-dev (>= 5.103.0~),
               libkf5textwidgets-dev (>= 5.103.0~),
               libkf5widgetsaddons-dev (>= 5.103.0~),
               libkf5xmlgui-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
Rules-Requires-Root: no

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.103.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.103.0~),
         libkf5xmlgui-dev (>= 5.103.0~),
         ${misc:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5mediaplayer-dev (<< 5.54),
        libkf5parts-data (<< 5.69.0-2~),
        libkf5texteditor-dev (<< 5.54),
Replaces: libkf5parts-data (<< 5.69.0-2~),
Recommends: libkf5parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross (<< 5.54),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54),
Recommends: libkf5parts-plugins (= ${binary:Version}),
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

TESTS_HOME=$(CURDIR)/debian/tests.home
%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	mkdir -p "$(TESTS_HOME)"
	HOME="$(TESTS_HOME)" xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test
	rm -rf "$(TESTS_HOME)"

## kparts 5.104.0

=== debian/changelog ===
kparts (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
-               libkf5config-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5i18n-dev (>= 5.103.0~),
-               libkf5iconthemes-dev (>= 5.103.0~),
-               libkf5jobwidgets-dev (>= 5.103.0~),
-               libkf5kio-dev (>= 5.103.0~),
-               libkf5service-dev (>= 5.103.0~),
-               libkf5textwidgets-dev (>= 5.103.0~),
-               libkf5widgetsaddons-dev (>= 5.103.0~),
-               libkf5xmlgui-dev (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5i18n-dev (>= 5.104.0~),
+               libkf5iconthemes-dev (>= 5.104.0~),
+               libkf5jobwidgets-dev (>= 5.104.0~),
+               libkf5kio-dev (>= 5.104.0~),
+               libkf5service-dev (>= 5.104.0~),
+               libkf5textwidgets-dev (>= 5.104.0~),
+               libkf5widgetsaddons-dev (>= 5.104.0~),
+               libkf5xmlgui-dev (>= 5.104.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -43,10 +43,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.103.0~),
+Depends: libkf5kio-dev (>= 5.104.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.103.0~),
-         libkf5xmlgui-dev (>= 5.103.0~),
+         libkf5textwidgets-dev (>= 5.104.0~),
+         libkf5xmlgui-dev (>= 5.104.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.107.0

=== debian/changelog ===
kparts (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5iconthemes-dev (>= 5.104.0~),
-               libkf5jobwidgets-dev (>= 5.104.0~),
-               libkf5kio-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
-               libkf5textwidgets-dev (>= 5.104.0~),
-               libkf5widgetsaddons-dev (>= 5.104.0~),
-               libkf5xmlgui-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
+               libkf5config-dev (>= 5.107.0~),
+               libkf5coreaddons-dev (>= 5.107.0~),
+               libkf5i18n-dev (>= 5.107.0~),
+               libkf5iconthemes-dev (>= 5.107.0~),
+               libkf5jobwidgets-dev (>= 5.107.0~),
+               libkf5kio-dev (>= 5.107.0~),
+               libkf5service-dev (>= 5.107.0~),
+               libkf5textwidgets-dev (>= 5.107.0~),
+               libkf5widgetsaddons-dev (>= 5.107.0~),
+               libkf5xmlgui-dev (>= 5.107.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -43,10 +43,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.104.0~),
+Depends: libkf5kio-dev (>= 5.107.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.104.0~),
-         libkf5xmlgui-dev (>= 5.104.0~),
+         libkf5textwidgets-dev (>= 5.107.0~),
+         libkf5xmlgui-dev (>= 5.107.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.109.0

=== debian/changelog ===
kparts (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:29 +0100

kparts (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:48 +0100

kparts (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:43 +0100

kparts (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:35 +0100

kparts (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:44 +0000

kparts (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:34 +0000

kparts (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:58:10 +0000

kparts (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:21:46 +0000

kparts (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:16:06 +0000

kparts (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:00:23 +0000

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libkf5coreaddons-dev (>= 5.109.0~),
               libkf5i18n-dev (>= 5.109.0~),
               libkf5iconthemes-dev (>= 5.109.0~),
               libkf5jobwidgets-dev (>= 5.109.0~),
               libkf5kio-dev (>= 5.109.0~),
               libkf5service-dev (>= 5.109.0~),
               libkf5textwidgets-dev (>= 5.109.0~),
               libkf5widgetsaddons-dev (>= 5.109.0~),
               libkf5xmlgui-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kparts
Rules-Requires-Root: no

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5parts5 (<< 5.77.0-2~)
Replaces: libkf5parts5 (<< 5.77.0-2~)
Multi-Arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.109.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.109.0~),
         libkf5xmlgui-dev (>= 5.109.0~),
         ${misc:Depends},
Breaks: kross-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5mediaplayer-dev (<< 5.54),
        libkf5parts-data (<< 5.69.0-2~),
        libkf5texteditor-dev (<< 5.54),
Replaces: libkf5parts-data (<< 5.69.0-2~)
Recommends: libkf5parts-doc (= ${source:Version})
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5parts-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the runtime files.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kross (<< 5.54),
        ktexteditor-katepart (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5krossui5 (<< 5.54),
        libkf5mediaplayer5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5webkit5 (<< 5.54),
Recommends: libkf5parts-plugins (= ${binary:Version})
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

## kparts 5.110.0

=== debian/changelog ===
kparts (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:09:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5i18n-dev (>= 5.109.0~),
-               libkf5iconthemes-dev (>= 5.109.0~),
-               libkf5jobwidgets-dev (>= 5.109.0~),
-               libkf5kio-dev (>= 5.109.0~),
-               libkf5service-dev (>= 5.109.0~),
-               libkf5textwidgets-dev (>= 5.109.0~),
-               libkf5widgetsaddons-dev (>= 5.109.0~),
-               libkf5xmlgui-dev (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5i18n-dev (>= 5.110.0~),
+               libkf5iconthemes-dev (>= 5.110.0~),
+               libkf5jobwidgets-dev (>= 5.110.0~),
+               libkf5kio-dev (>= 5.110.0~),
+               libkf5service-dev (>= 5.110.0~),
+               libkf5textwidgets-dev (>= 5.110.0~),
+               libkf5widgetsaddons-dev (>= 5.110.0~),
+               libkf5xmlgui-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.109.0~),
+Depends: libkf5kio-dev (>= 5.110.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.109.0~),
-         libkf5xmlgui-dev (>= 5.109.0~),
+         libkf5textwidgets-dev (>= 5.110.0~),
+         libkf5xmlgui-dev (>= 5.110.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.113.0

=== debian/changelog ===
kparts (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:44:42 +0000

kparts (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:49:36 +0000

kparts (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:59:18 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
-               libkf5coreaddons-dev (>= 5.110.0~),
-               libkf5i18n-dev (>= 5.110.0~),
-               libkf5iconthemes-dev (>= 5.110.0~),
-               libkf5jobwidgets-dev (>= 5.110.0~),
-               libkf5kio-dev (>= 5.110.0~),
-               libkf5service-dev (>= 5.110.0~),
-               libkf5textwidgets-dev (>= 5.110.0~),
-               libkf5widgetsaddons-dev (>= 5.110.0~),
-               libkf5xmlgui-dev (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
+               libkf5coreaddons-dev (>= 5.113.0~),
+               libkf5i18n-dev (>= 5.113.0~),
+               libkf5iconthemes-dev (>= 5.113.0~),
+               libkf5jobwidgets-dev (>= 5.113.0~),
+               libkf5kio-dev (>= 5.113.0~),
+               libkf5service-dev (>= 5.113.0~),
+               libkf5textwidgets-dev (>= 5.113.0~),
+               libkf5widgetsaddons-dev (>= 5.113.0~),
+               libkf5xmlgui-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.110.0~),
+Depends: libkf5kio-dev (>= 5.113.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.110.0~),
-         libkf5xmlgui-dev (>= 5.110.0~),
+         libkf5textwidgets-dev (>= 5.113.0~),
+         libkf5xmlgui-dev (>= 5.113.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),

## kparts 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project(KParts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kparts (5.115.0-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:35:03 +0000

kparts (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:14:07 +0000

kparts (5.115.0-0ubuntu3) noble; urgency=medium

  * Set build testing to true as kparts-plugins doesn't get built
    on riscv64 without it.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 20 Feb 2024 01:22:38 -0700

kparts (5.115.0-0ubuntu2) noble; urgency=medium

  * Add Multi-Arch: same on kparts-plugins.
  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:28:28 -0700

kparts (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 07:59:27 -0700

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5config-dev (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5i18n-dev (>= 5.113.0~),
-               libkf5iconthemes-dev (>= 5.113.0~),
-               libkf5jobwidgets-dev (>= 5.113.0~),
-               libkf5kio-dev (>= 5.113.0~),
-               libkf5service-dev (>= 5.113.0~),
-               libkf5textwidgets-dev (>= 5.113.0~),
-               libkf5widgetsaddons-dev (>= 5.113.0~),
-               libkf5xmlgui-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5config-dev (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
+               libkf5iconthemes-dev (>= 5.115.0~),
+               libkf5jobwidgets-dev (>= 5.115.0~),
+               libkf5kio-dev (>= 5.115.0~),
+               libkf5service-dev (>= 5.115.0~),
+               libkf5textwidgets-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.115.0~),
+               libkf5xmlgui-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -45,10 +45,10 @@
 Package: libkf5parts-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5kio-dev (>= 5.113.0~),
+Depends: libkf5kio-dev (>= 5.115.0~),
          libkf5parts5 (= ${binary:Version}),
-         libkf5textwidgets-dev (>= 5.113.0~),
-         libkf5xmlgui-dev (>= 5.113.0~),
+         libkf5textwidgets-dev (>= 5.115.0~),
+         libkf5xmlgui-dev (>= 5.115.0~),
          ${misc:Depends},
 Breaks: kross-dev (<< 5.54),
         libkf5kdelibs4support-dev (<< 5.54),
@@ -75,6 +75,7 @@
 
 Package: libkf5parts-plugins
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Document centric plugin system.
  Framework providing elaborate user-interface components.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_QCH=ON
+	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON
 
 override_dh_auto_test:
 	mkdir -p "$(TESTS_HOME)"

## kparts 5.116.0

=== autotests/CMakeLists.txt ===
find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} REQUIRED)
set_package_properties(Qt${QT_MAJOR_VERSION}Test PROPERTIES PURPOSE "Required for tests")

include(ECMAddTests)

########### a KParts ###############

# don't use kcoreaddons_add_plugin here since we don't want to install it
add_library(notepadpart MODULE)
target_sources(notepadpart PRIVATE notepad.cpp notepad.qrc)
# so we have to do the INSTALL_NAMESPACE thing by hand:
set_target_properties(notepadpart PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/kf${QT_MAJOR_VERSION}/parts")
kcoreaddons_desktop_to_json(notepadpart notepad.desktop)
target_link_libraries(notepadpart KF5::Parts)

########### tests ###############

ecm_add_tests(
  parttest.cpp
  partloadertest.cpp
  openorsavequestion_unittest.cpp
  LINK_LIBRARIES KF5::Parts Qt${QT_MAJOR_VERSION}::Test KF5::XmlGui
)

=== src/CMakeLists.txt ===
add_library(KF5Parts)
add_library(KF5::Parts ALIAS KF5Parts)

target_sources(KF5Parts PRIVATE
    partbase.cpp
    part.cpp
    partmetadatautil_p.cpp
    partloader.cpp
    openurlarguments.cpp
    readonlypart.cpp
    readwritepart.cpp
    plugin.cpp
    partmanager.cpp
    mainwindow.cpp
    event.cpp
    guiactivateevent.cpp
    partactivateevent.cpp
    partselectevent.cpp
    browserextension.cpp
    browserhostextension.cpp
    browserarguments.cpp
    liveconnectextension.cpp
    openurlevent.cpp
    windowargs.cpp
    historyprovider.cpp
    browserinterface.cpp
    browserrun.cpp
    browseropenorsavequestion.cpp
    statusbarextension.cpp
    scriptableextension.cpp
    textextension.cpp
    htmlextension.cpp
    htmlsettingsinterface.cpp
    selectorinterface.cpp
    fileinfoextension.cpp
    listingfilterextension.cpp
    listingnotificationextension.cpp
)

include(ECMGenerateHeaders)
ecm_generate_headers(KParts_CamelCase_HEADERS
    HEADER_NAMES
        BrowserArguments
        BrowserExtension
        BrowserHostExtension
        BrowserInterface
        BrowserOpenOrSaveQuestion
        BrowserRun
        Event
        FileInfoExtension
        GUIActivateEvent
        HistoryProvider
        HtmlExtension
        HtmlSettingsInterface
        ListingFilterExtension
        ListingNotificationExtension
        LiveConnectExtension
        MainWindow
        OpenUrlArguments
        OpenUrlEvent
        Part
        PartActivateEvent
        PartBase
        PartLoader
        PartManager
        PartSelectEvent
        Plugin
        ReadOnlyPart
        ReadWritePart
        ScriptableExtension
        SelectorInterface
        StatusBarExtension
        TextExtension
        WindowArgs
    REQUIRED_HEADERS KParts_HEADERS
    PREFIX KParts
)
install(FILES ${KParts_CamelCase_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts/KParts
        COMPONENT Devel)

ecm_qt_declare_logging_category(KF5Parts
    HEADER kparts_logging.h
    IDENTIFIER KPARTSLOG
    CATEGORY_NAME kf.parts
    DESCRIPTION "KParts"
    EXPORT KPARTSLOG
)

ecm_generate_export_header(KF5Parts
    EXPORT_FILE_NAME ${KParts_BINARY_DIR}/kparts/kparts_export.h
    BASE_NAME KParts
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 3.0 4.4 5.0 5.72 5.77 5.78 5.80 5.81 5.82 5.83 5.88 5.90 5.103
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Parts
    PUBLIC "$<BUILD_INTERFACE:${KParts_BINARY_DIR}>"
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KParts>"
)

target_link_libraries(KF5Parts PUBLIC  KF5::KIOWidgets #browserrun.h uses krun.h
                                       KF5::XmlGui # essential to the technology
                                       KF5::TextWidgets # needed for KFind, as interface
                               PRIVATE KF5::I18n #few uses of i18n and i18nc, can be probably stripped down
                                       KF5::IconThemes #only used by KPart::iconLoader()
                      )

set_target_properties(KF5Parts PROPERTIES VERSION   ${KPARTS_VERSION}
                                          SOVERSION ${KPARTS_SOVERSION}
                                          EXPORT_NAME Parts
)

install(TARGETS KF5Parts EXPORT KF5PartsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.100.0)
    install(FILES
      kpart.desktop
      kparts-readonlypart.desktop
      kparts-readwritepart.desktop
      browserview.desktop
      DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR}
    )
endif()

install(FILES
  ${KParts_BINARY_DIR}/kparts/kparts_export.h
  ${KParts_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts/kparts COMPONENT Devel
)

install(FILES kde_terminal_interface.h DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KParts )

ecm_qt_install_logging_categories(
    EXPORT KPARTSLOG
    FILE kparts.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Parts_QCH
        NAME KParts
        BASE_NAME KF5Parts
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KParts_HEADERS}
            kde_terminal_interface.h
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            KF5KIO_QCH
            KF5XmlGui_QCH
            KF5TextWidgets_QCH
        INCLUDE_DIRS
            ${CMAKE_BINARY_DIR}
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPARTS_EXPORT
            KPARTS_DEPRECATED
            KPARTS_DEPRECATED_EXPORT
            "KPARTS_DEPRECATED_VERSION(x, y, t)"
            "KPARTS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KPARTS_DEPRECATED_VERSION(x, y, t)"
            "KPARTS_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        PREDEFINED_MACROS
            "KIOWIDGETS_ENABLE_DEPRECATED_SINCE(x, y)=1"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KParts LIB_NAME KF5Parts DEPS "KIOWidgets KXmlGui KTextWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KParts)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== templates/kpartsapp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(%{APPNAMELC})

set(REQUIRED_ECM_VERSION "5.83.0")
find_package(ECM ${REQUIRED_ECM_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)

set(QT_MIN_VERSION "5.15.0")
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Widgets
)

set(REQUIRED_KF_VERSION "5.23.0")
find_package(KF5 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS
    I18n
    Parts
)

add_subdirectory(src)
add_subdirectory(icons)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kparts (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:43:26 +0200

kparts (5.115.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Team upload.
  * Bump Standards-Version to 4.7.1, no changes required.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Stop manually creating a temporary HOME directory when running dh_auto_test,
    as debhelper does it already starting with compat 13.
  * Remove the unused debian/meta/ stuff.
  * CI: simplify/improve config.
  * Stop shipping the spellcheckplugin.so plugin, as it is built for the tests
    only, and it is not usable anywhere else
    - make sure to not fail trying to remove it in case the tests are not built
      (i.e. when -DBUILD_TESTING=OFF is passed to cmake, typically when
      specifying "nocheck" in $DEB_BUILD_OPTIONS)
    - since libkf5parts-plugins contained only spellcheckplugin.so, then turn
      it into an empty dummy package, so it can be automatically removed
    - drop the libkf5parts-plugins recommend in libkf5parts5
  * Drop old breaks/replaces for versions older than Debian Bullseye.
  * Mark the xauth, and xvfb build dependencies as !nocheck, as they are needed
    only during dh_auto_test.

  [ Aurélien COUDERC ]
  * Add/update Nicolas Fella’s key in upstream keyring.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Feb 2025 09:59:42 +0100

kparts (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:16:29 +0200

kparts (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:07:34 +0100

=== debian/control ===
Source: kparts
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 5.116.0~),
               libkf5config-dev (>= 5.116.0~),
               libkf5coreaddons-dev (>= 5.116.0~),
               libkf5i18n-dev (>= 5.116.0~),
               libkf5iconthemes-dev (>= 5.116.0~),
               libkf5jobwidgets-dev (>= 5.116.0~),
               libkf5kio-dev (>= 5.116.0~),
               libkf5service-dev (>= 5.116.0~),
               libkf5textwidgets-dev (>= 5.116.0~),
               libkf5widgetsaddons-dev (>= 5.116.0~),
               libkf5windowsystem-dev (>= 5.115.0~),
               libkf5xmlgui-dev (>= 5.116.0~),
               libqt5sql5-sqlite,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kparts
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kparts
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kparts.git
Rules-Requires-Root: no

Package: libkf5parts-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.
 .
 This package contains the data files.

Package: libkf5parts-dev
Section: libdevel
Architecture: any
Depends: libkf5kio-dev (>= 5.116.0~),
         libkf5parts5 (= ${binary:Version}),
         libkf5textwidgets-dev (>= 5.116.0~),
         libkf5xmlgui-dev (>= 5.116.0~),
         ${misc:Depends},
Recommends: libkf5parts-doc (= ${source:Version}),
Description: development files for kparts
 Framework providing elaborate user-interface components.
 .
 Contains development files for kparts.

Package: libkf5parts-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Document centric plugin system (documentation)
 Framework providing elaborate user-interface components.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5parts-plugins
Section: oldlibs
Architecture: all
Depends: ${misc:Depends},
Description: dummy empty package for kparts
 Framework providing elaborate user-interface components.
 .
 This package does not contain anything anymore, and it is left as
 dummy empty package. It can be safely removed.

Package: libkf5parts5
Architecture: any
Multi-Arch: same
Depends: libkf5parts-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Document centric plugin system.
 Framework providing elaborate user-interface components.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

execute_after_dh_auto_install:
	# test plugin, not actually usable anywhere else
	rm -f debian/tmp/usr/lib/*/qt5/plugins/spellcheckplugin.so
